# Generated by Django 3.0.3 on 2020-05-15 11:01

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('kupon', '0003_auto_20200305_1037'),
        ('tk2', '0002_auto_20200515_0604'),
    ]

    operations = [
        migrations.AddField(
            model_name='keranjangbarangtransaksi',
            name='total_harga',
            field=models.PositiveIntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='keranjangbarangtransaksi',
            name='user',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='trxcepat', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='keranjangbarangtransaksi',
            name='kupon',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='kupon.Kupon'),
        ),
    ]
